Bug 140949 - up2date fails
up2date fails
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 14:45 EST by rich gregory
Modified: 2012-06-20 11:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
up2date log file (28.60 KB, text/plain)
2004-11-26 14:46 EST, rich gregory
no flags Details

  None (edit)
Description rich gregory 2004-11-26 14:45:50 EST
Description of problem:

The first time I run up2date -u after installation of RHEL3
and registering the system, up2date fails.  Here is the last up2date
log entry:

[Wed Nov 24 17:33:57 2004] up2date RPM error.  The message was:
Could not determine what version of Red Hat Linux you are running.
If you get this error, try running

                rpm --rebuilddb


Version-Release number of selected component (if applicable):

rhel v3

How reproducible:

always

Steps to Reproduce:
1.go to /var/spool/up2date and start installing and updating
rpm's that were downloaded before the abort.

2. last one I installed was redhat-release-3WS-7.3

3. Then up2date -u started working again

  
Actual results:

I fixed it by installing redhat-release-3WS-7.3

Expected results:

Now up2date is in sync with the system display for
itostation3.bme.virginia.edu for user ito-rhadmin

Additional info:

rich gregory
rtg2t@virginia.edu
Comment 1 rich gregory 2004-11-26 14:46:46 EST
Created attachment 107494 [details]
up2date log file
Comment 2 rich gregory 2004-11-27 11:10:52 EST
My original comments labeled:

Steps to Reproduce:
1.go to /var/spool/up2date and start installing and updating
rpm's that were downloaded before the abort.

2. last one I installed was redhat-release-3WS-7.3

3. Then up2date -u started working again

should be "steps to fix problem"

It is reproduced by doing a clean install of RHEL3 and deleting
the entitlement for the machine and reregistering it and then
running up2date -u
  
Comment 4 Jiri Pallich 2012-06-20 11:55:12 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.